# Install the opencascade library from the grotius github page, section linux-pro, item opencascade.deb

# Software steps to download use "duckduck to find the archives", then install :

#!/bin/bash

tar xvzf sip-4.19.25.tar.gz && \
cd sip-4.19.25 && \
python3 configure.py --sip-module PyQt5.sip && \
make && \
sudo make install
cd ..

tar xvzf PyQt5-5.15.4.tar.gz && \
cd PyQt5-5.15.4 && \
python3 configure.py --confirm-license && \
make && \
sudo make install
cd ..

# The final steps :
cd Qt_Occ_Python
python3 configure.py
make
sudo make install
python3 runtest.py
cd ..

# Be sure :
copy /modules/the.so file next to runtest.py file.
